package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 流程角色分配表
 * </p>
 *
 * @author wangliang
 * @since 2023-10-18
 */
@ApiModel(value = "TFCustomFlowAllocation对象", description = "流程角色分配表")
public class TFCustomFlowAllocation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程")
    private TFCustomTypeEnum type;

    @ApiModelProperty(value = "自定义流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tFCustomFlowId;

    @ApiModelProperty(value = "流程实体id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long tFCustomFlowEntityId;

    @ApiModelProperty(value = "角色分配")
    private String roleAllocation;

    @ApiModelProperty(value = "版本号")
    private Integer version;

    public TFCustomTypeEnum getType() {
        return type;
    }

    public void setType(TFCustomTypeEnum type) {
        this.type = type;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long gettFCustomFlowId() {
        return tFCustomFlowId;
    }

    public void settFCustomFlowId(Long tFCustomFlowId) {
        this.tFCustomFlowId = tFCustomFlowId;
    }

    public Long gettFCustomFlowEntityId() {
        return tFCustomFlowEntityId;
    }

    public void settFCustomFlowEntityId(Long tFCustomFlowEntityId) {
        this.tFCustomFlowEntityId = tFCustomFlowEntityId;
    }

    public String getRoleAllocation() {
        return roleAllocation;
    }

    public void setRoleAllocation(String roleAllocation) {
        this.roleAllocation = roleAllocation;
    }
}
